#!/bin/bash

# local testing
#WORKSPACE="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk"

PRODUCT_DIR="$WORKSPACE/eu.etaxonomy.taxeditor/target/products"

DEPLOYMENT_SERVER="wp5.e-taxonomy.eu"
DEPLOYMENT_DIR="/var/www/download/taxeditor/nightly"

# bash check if directory exists
if [ ! -d $PRODUCT_DIR ]; then
	echo "Product directory does not exist: $PRODUCT_DIR" 
	exit 1
fi 

PRODUCTS=$(ls $PRODUCT_DIR/eu.etaxonomy.taxeditor.product-*.zip)

if [ ! $PRODUCTS ]; then
	echo "No products in product directory: $PRODUCT_DIR"
	exit 1
fi

for FILE in $PRODUCTS; do
	scp $FILE root@$DEPLOYMENT_SERVER:$DEPLOYMENT_DIR
done


